Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.opensymphony.xwork2.config.entities
Class ExceptionMappingConfig

    java.lang.Object
      com.opensymphony.xwork2.util.location.Located
          com.opensymphony.xwork2.config.entities.ExceptionMappingConfig

All Implemented Interfaces:
  Locatable, Serializable

    public class ExceptionMappingConfig

extends Located
implements Serializable

Configuration for exception mapping.

Author:
  Rainer Hermanns, Matthew E. Porter (matthew dot porter at metissian dot com)
See Also:
  Serialized Form

Field Summary
`private String` | `exceptionClassName`
`private String` | `name`
`private Map` | `params`
`private String` | `result`

Fields inherited from class com.opensymphony.xwork2.util.location.Located
`location`

Constructor Summary
`ExceptionMappingConfig()`
`ExceptionMappingConfig(String name, String exceptionClassName, String result)`
`ExceptionMappingConfig(String name, String exceptionClassName, String result, Map params)`

Method Summary
`void` | `addParam(String name, Object value)`
`boolean` | `equals(Object o)`
`String` | `getExceptionClassName()`
`String` | `getName()`
`Map` | `getParams()`
`String` | `getResult()`
`int` | `hashCode()`
`void` | `setExceptionClassName(String exceptionClassName)`
`void` | `setName(String name)`
`void` | `setResult(String result)`

Methods inherited from class com.opensymphony.xwork2.util.location.Located
`getLocation, setLocation`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    private String name

### exceptionClassName

    private String exceptionClassName

### result

    private String result

### params

    private Map params

Constructor Detail

### ExceptionMappingConfig

    public ExceptionMappingConfig()

### ExceptionMappingConfig

    public ExceptionMappingConfig(String name,
                                  String exceptionClassName,
                                  String result)

### ExceptionMappingConfig

    public ExceptionMappingConfig(String name,
                                  String exceptionClassName,
                                  String result,
                                  Map params)

Method Detail

### getName

    public String getName()

### setName

    public void setName(String name)

### getExceptionClassName

    public String getExceptionClassName()

### setExceptionClassName

    public void setExceptionClassName(String exceptionClassName)

### getResult

    public String getResult()

### setResult

    public void setResult(String result)

### getParams

    public Map getParams()

### addParam

    public void addParam(String name,
                         Object value)

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2007 Apache Software Foundation. All Rights Reserved.